cURL
curl -X PATCH "https://api.fitsociety.io/public/v1/recurring-bookings/{recurringBookingId}" \
-H "Authorization: Bearer <access_token>" \
-H "Idempotency-Key: <stable_request_key>" \
-H "Content-Type: application/json" \
-d '{}'const options = {
method: 'PATCH',
headers: {'Idempotency-Key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.fitsociety.io/public/v1/recurring-bookings/{recurringBookingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/recurring-bookings/{recurringBookingId}"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.patch(url, headers=headers)
print(response.text){
"data": {
"recurringBooking": {
"recurringBookingId": "66f7b8b1e13c8d25f4d3d90a",
"status": "active",
"repeatInterval": "string",
"startDate": "2026-07-14T10:00:00.000Z",
"endDate": "2026-07-14T10:00:00.000Z",
"numberOfSessions": 1,
"isContinuous": true,
"paymentMethod": "string",
"eventId": "66f7b8b1e13c8d25f4d3d90a",
"client": {
"clientId": "66f7b8b1e13c8d25f4d3d90a",
"name": "Example name"
},
"pauseWindows": [
{
"startDate": "2026-07-14T10:00:00.000Z",
"endDate": "2026-07-14T10:00:00.000Z",
"reason": "string"
}
]
},
"updatedFields": [
"string"
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
},
"idempotency": {
"replayed": false
}
}
}Recurring bookings
Update recurring booking
Requires recurring_bookings:write. Accepts only safe chain-level fields: payment method, one end mode, pause window, or clear pause windows.
PATCH
/
public
/
v1
/
recurring-bookings
/
{recurringBookingId}
cURL
curl -X PATCH "https://api.fitsociety.io/public/v1/recurring-bookings/{recurringBookingId}" \
-H "Authorization: Bearer <access_token>" \
-H "Idempotency-Key: <stable_request_key>" \
-H "Content-Type: application/json" \
-d '{}'const options = {
method: 'PATCH',
headers: {'Idempotency-Key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.fitsociety.io/public/v1/recurring-bookings/{recurringBookingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/recurring-bookings/{recurringBookingId}"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.patch(url, headers=headers)
print(response.text){
"data": {
"recurringBooking": {
"recurringBookingId": "66f7b8b1e13c8d25f4d3d90a",
"status": "active",
"repeatInterval": "string",
"startDate": "2026-07-14T10:00:00.000Z",
"endDate": "2026-07-14T10:00:00.000Z",
"numberOfSessions": 1,
"isContinuous": true,
"paymentMethod": "string",
"eventId": "66f7b8b1e13c8d25f4d3d90a",
"client": {
"clientId": "66f7b8b1e13c8d25f4d3d90a",
"name": "Example name"
},
"pauseWindows": [
{
"startDate": "2026-07-14T10:00:00.000Z",
"endDate": "2026-07-14T10:00:00.000Z",
"reason": "string"
}
]
},
"updatedFields": [
"string"
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
},
"idempotency": {
"replayed": false
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_.... Each resource request rechecks the token company's current provider access. Disabling access blocks existing tokens with 403 auth.provider_unavailable.
Headers
Required for Public API write requests. Reusing the same key with the same method, path, and body replays the stored successful response; reusing it with a different request returns 409 idempotency.conflict.
Required string length:
1 - 200Example:
"booking-create-20260714-001"
Path Parameters
Example:
"66f7b8b1e13c8d25f4d3d90a"